### Method

# GdkPixbuf.Pixbuf.rotate_simple

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_rotate_simple (
      const GdkPixbuf* src,
      GdkPixbufRotation angle
    )

#### Description [src]

Rotates a pixbuf by a multiple of 90 degrees, and returns the result in a new pixbuf.

If `angle` is 0, this function will return a copy of `src`.

#### Parameters

`angle` | `GdkPixbufRotation`
| the angle to rotate by

#### Return value

Returns: `GdkPixbuf`
the new pixbuf
Ownership of the data is transferred to the caller
Can be `NULL`